Name:		geant4
Version:	10.05.p01
Release:	2%{?dist}
Summary:	C++ Event Record for Monte Carlo Generators

License:	Geant
URL:		https://geant4.web.cern.ch
Source0:	https://geant4-data.web.cern.ch/releases/geant4.10.05.p01.tar.gz


%if %{?fedora}%{!?fedora:0} || %{?rhel}%{!?rhel:0} >= 8
BuildRequires:	cmake >= 3.9
%else
BuildRequires:	cmake3 >= 3.9
%endif
BuildRequires:	gcc-c++
BuildRequires:	doxygen
BuildRequires:	clhep-devel
BuildRequires:	zlib-devel
BuildRequires:	expat-devel

%description
Geant4: A Simulation Toolkit



%package devel
Summary:	C++ Event Record for Monte Carlo Generators - development files
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides development files for %{name}.

%package doc
Summary:	C++ Event Record for Monte Carlo Generators - documentation
BuildArch:	noarch

%description doc
This package provides HepMC manuals and examples.


%package data
Summary:	C++ Event Record for Monte Carlo Generators - documentation
BuildArch:	noarch

%description data
This package provides HepMC manuals and examples.


%prep
%setup -q -n %{name}.%{version}


%build
mkdir -p build
cd build
%if %{?fedora}%{!?fedora:0} || %{?rhel}%{!?rhel:0} >= 8
%cmake \
%else
%cmake3 \
%endif
	-DGEANT4_INSTALL_DATA:BOOL=ON \
	-DGEANT4_USE_SYSTEM_CLHEP:BOOL=ON \
	-DGEANT4_USE_SYSTEM_EXPAT:BOOL=ON \
	-DGEANT4_USE_SYSTEM_ZLIB:BOOL=ON \
	-DCMAKE_SKIP_INSTALL_RPATH:BOOL=ON \
	-DGEANT4_USE_PYTHON=ON \
	-DGEANT4_BUILD_MULTITHREADED=ON \
%if %{?rhel}%{!?rhel:0} == 8
	-B. -H../
%else
	-B. -S../
%endif

make %{?_smp_mflags}

%install
make install -C build DESTDIR=%{buildroot}



%ldconfig_scriptlets


%files
%{_bindir}/geant4*
%{_libdir}/lib*.so*

%files devel
%{_includedir}/Geant4/
%{_datadir}/Geant4-10.5.1/geant4make
%{_libdir}/Geant4-10.5.1

%files doc
%{_datadir}/Geant4-10.5.1/examples
%license %{_datadir}/Geant4-10.5.1/tools.license

%files data
%{_datadir}/Geant4-10.5.1/data

%changelog
* Fri May 29 2020 Andrii Verbytskyi <andrii.verbytskyi@mpp.mpg.de> - 3.2.2-1
- Preparation
